
QGIS Application - Bug report #14848

Plugin Editing offline: crashes if attempting to synchronize a raster

2016-05-20 09:38 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22801

Description

Step to reproduce:

    -  add a vector

    -  add a raster

    -  open the plugin

    -  select both

    -  click on synchronize

--> crash

Associated revisions

Revision 3fcd1fd6 - 2016-05-23 02:56 PM - Matthias Kuhn 

Don't crash when trying to sync raster layer for offline editing

Fix #14848

Revision c59350a1 - 2016-06-06 07:47 PM - Matthias Kuhn 

[offline editing] No reason to crash just because of raster layers

Fix #14848

Revision 781d0c35 - 2016-07-11 03:22 PM - Matthias Kuhn 

[offline editing] No reason to crash just because of raster layers

Fix #14848

History

#1 - 2016-05-20 09:40 AM - Paolo Cavallini

src/plugins/offline_editing/offline_editing_plugin_gui.cpp: 151: (on_buttonBox_accepted) [7555ms] dtm20160520183646711

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff5722578 in QgsVectorLayer::vectorJoins (this=0x0) at

/tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/core/qgsvectorlayer.cpp:2852
2852    /tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/core/qgsvectorlayer.cpp: File o directory non esistente.

(gdb) bt

#0  0x00007ffff5722578 in QgsVectorLayer::vectorJoins (this=0x0) at

/tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/core/qgsvectorlayer.cpp:2852

#1  0x00007ffff562eb98 in QgsOfflineEditing::convertToOfflineProject (this=0x1b99200, offlineDataPath=..., offlineDbFile=..., layerIds=...)

    at /tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/core/qgsofflineediting.cpp:109

#2  0x00007fff5c7efabd in QgsOfflineEditingPlugin::convertProject (this=0x1b26490)

    at /tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/plugins/offline_editing/offline_editing_plugin.cpp:111

#3  0x00007fff5c7f5151 in QgsOfflineEditingPlugin::qt_static_metacall (_o=0x1b26490, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fffffffc850)

    at /tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/debian/build/src/plugins/offline_editing/moc_offline_editing_plugin.cxx:66

#4  0x00007ffff4beb010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#5  0x00007ffff3f1a962 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#6  0x00007ffff3f1bcb3 in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#7  0x00007ffff4379dbd in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#8  0x00007ffff437e1a9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#9  0x00007ffff3f77130 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#10 0x00007ffff43823bb in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#11 0x00007ffff3f2090c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#12 0x00007ffff3f27a06 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff548973f in QgsApplication::notify (this=0x7fffffffde70, receiver=0x1a941a0, event=0x7fffffffcf70)

    at /tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/core/qgsapplication.cpp:281

#14 0x00007ffff4bd690d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#15 0x00007ffff3f2700d in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#16 0x00007ffff3fa288c in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#17 0x00007ffff3fa08cd in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#18 0x00007ffff3fca8e2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#19 0x00007fffec8621a7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#20 0x00007fffec862400 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#21 0x00007fffec8624ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#22 0x00007ffff4c07244 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#23 0x00007ffff3fca9b6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#24 0x00007ffff4bd518f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#25 0x00007ffff4bd54f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#26 0x00007ffff4bdb4b9 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#27 0x0000000000409d6c in main (argc=1, argv=0x7fffffffe2b8) at /tmp/buildd/qgis-2.14.2+git20160519+deb1e1e+99unstable/src/app/main.cpp:1249

#2 - 2016-05-21 12:08 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#3 - 2016-05-23 05:57 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"3fcd1fd6a9b954cf15240a89b451f42b5e46f6cd".
#4 - 2016-05-23 05:58 AM - Matthias Kuhn

Can somebody verify the fix? I am already on the train to Girona and don't want to stress my battery with the compiler ;)

#5 - 2016-05-23 06:00 AM - Paolo Cavallini

- Status changed from Closed to Feedback

#6 - 2016-06-06 10:48 AM - Anonymous

- Status changed from Feedback to Closed

Fixed in changeset commit:"c59350a170507cdbf563e44a28508cce3feeb2e9".
